/*
 Scroll LEDs
 Demonstrates the use of a for() loop. 
 Lights multiple LEDs in sequence, then in reverse.
  */

int timer = 100; // Scroll speed control

void setup() {
  // use a for loop to initialize each pin as an output:
  for (int LED = 10; LED < 14; LED++)  {
    pinMode(LED, OUTPUT);      
  }
}

void loop() {
  // loop from the lowest pin to the highest:
  for (int LED = 10; LED <= 13; LED++) { 
    // turn the pin on:
    digitalWrite(LED, HIGH);   
    delay(timer);                  
    // turn the pin off:
    digitalWrite(LED, LOW);    
  }

  // loop from the highest pin to the lowest:
  for (int LED = 13; LED >= 10; LED--) { 
    // turn the pin on:
    digitalWrite(LED, HIGH);
    delay(timer);
    // turn the pin off:
    digitalWrite(LED, LOW);
  }
}
